<?php

/**
 * A contact template is used for inheritance, so that you could
 * base your contacts with common properties on one of these.
 */
class contact_template_nacoma_Model extends contact_nacoma_Model
{
	/** object type */
	const TYPE = 'contact_template';
	/** database table */
	var $db_table = 'contact';
	/** template or not */
	var $is_template = true;

	/**
	 * Return the mayi resource for the object
	 * @see object_nacoma_Model::mayi_resource()
	 */
	public function mayi_resource() {
		return "monitor.monitoring.contact_templates";
	}

	function get_properties()
	{
		// yes, this explicitly skips the parent class and jumps straight
		// to the grandparent.
		object_nacoma_Model::get_properties();
		unset($this->properties['default']['contact_name']);
		unset($this->properties['default']['alias']);
		unset($this->properties['var_index']['contact_name']);
		unset($this->properties['var_index']['alias']);
		$this->properties['default']['name'] = '';
		$this->properties['var_index'] = array_merge(array('name' => 'string'), $this->properties['var_index']);
		$this->properties['topic'] = 'name';
		$this->properties['required'] = array('name');
		$this->properties['visible'][] = 'name';
		return $this->properties;
	}

	function get_object()
	{
		$obj = parent::get_object();
		if ($obj === false || $obj['register'] === '0')
			return $obj;
		$this->id = null;
		$this->obj = array();
		return false;
	}
}
