<div class="page-flow-layout">
<?php

foreach ($messages as $message) {
	echo View::factory('alert', array('notice' => $message))->render();
}

foreach ($users as $user) {
	printf('<h2>%s</h2><hr>', html::specialchars($user->get_username()));
	if (count($user->get_modules()) === 0) {
		echo View::factory('alert', array('notice' => new WarningNotice_Model(
			_('This user has no Authentication module connected to it and may not log in')
		)))->render();
	}
	echo View::factory('form_renderable', array(
		'formid' => 'user-' . html::specialchars($user->get_username()),
		'action' => $linkprovider->get_url('users'),
		'renderable' => $user,
		'deletable' => true,
		'editable' => true
	))->render();
};

printf('<h2>%s</h2><hr>', _("Create new user"));
echo View::factory('form_renderable', array(
	'formid' => 'new-user',
	'action' => $linkprovider->get_url('users'),
	'renderable' => new User_Model(),
	'createable' => true
))->render();

?>
</div>
